Bug 59101 - secondary PCI card won't initialize
secondary PCI card won't initialize
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-30 19:30 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 08:13:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-30 19:30:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I have an MSI Geforce 3 Ti 200 AGP card and a Voodoo3 PCI card.  If I set the
primary VGA card to AGP in my BIOS then when I try to run X in xinerama or
non-xinerama mode the Voodoo card does not function.  If set the primary VGA
card to PCI in my BIOS then both cards work properly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set primary VGA card to PCI in BIOS
2.Boot with an XF86Config-4 that uses both cards
3.You should end up with /var/log/XFree86-0.log that contains an error about
softbooting the Voodoo:



XFree86 Version 4.1.0 (Red Hat Linux release: 4.1.0-15) / X Window System
(protocol Version 11, revision 0, vendor release 6510)
Release Date: 2 June 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Build Operating System: Linux 2.4.7-0.13.1smp i686 [ELF] 
Build Host: stripples.devel.redhat.com
 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Tue Jan 29 19:21:32 2002
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "NVIDIA GeForce 3 (generic)"
(**) |-->Screen "Screen1" (1)
(**) |   |-->Monitor "ViewSonic 17"
(**) |   |-->Device "3Dfx Interactive, Inc.|Voodoo 3"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc101"
(**) XKB: model: "pc101"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(**) Option "XkbVariant" "basic"
(**) XKB: variant: "basic"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(**) Option "Xinerama"
(**) Xinerama: enabled
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.4
	XFree86 XInput driver : 0.2
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1022,700c card 0000,0000 rev 11 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1022,700d card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 1022,7410 card 0000,0000 rev 02 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 1022,7411 card 0000,0000 rev 01 class 01,01,8a hdr 00
(II) PCI: 00:07:3: chip 1022,7413 card 0000,0000 rev 01 class 06,80,00 hdr 00
(II) PCI: 00:07:4: chip 1022,7414 card 0000,0000 rev 07 class 0c,03,10 hdr 00
(II) PCI: 00:09:0: chip 1102,0002 card 1102,8061 rev 07 class 04,01,00 hdr 80
(II) PCI: 00:09:1: chip 1102,7002 card 1102,0020 rev 07 class 09,80,00 hdr 80
(II) PCI: 00:0b:0: chip 121a,0005 card 121a,0036 rev 01 class 03,00,00 hdr 00
(II) PCI: 00:0d:0: chip 8086,1229 card 8086,0001 rev 02 class 02,00,00 hdr 00
(II) PCI: 01:05:0: chip 10de,0201 card 1462,8851 rev a3 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0c (VGA_EN is set)
(II) Bus 1 I/O range:
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xf0000000 - 0xf0ffffff (0x1000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xf8000000 - 0xfc0fffff (0x4100000) MX[B]
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI: (0:11:0) 3dfx Interactive Voodoo3 rev 1, Mem @ 0xee000000/25,
0xf2000000/25, I/O @ 0x1400/8
(--) PCI:*(1:5:0) NVidia GeForce3 (rev 1) rev 163, Mem @ 0xf0000000/24,
0xf8000000/26, 0xfc000000/19
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0xec000000 - 0xec0fffff (0x100000) MX[B]
	[1] -1	0xec102000 - 0xec102fff (0x1000) MX[B]
	[2] -1	0x000dc000 - 0x000dcfff (0x1000) MX[B]
	[3] -1	0xec101000 - 0xec101fff (0x1000) MX[B]
	[4] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[5] -1	0xfc000000 - 0xfc07ffff (0x80000) MX[B](B)
	[6] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[7] -1	0xf0000000 - 0xf0ffffff (0x1000000) MX[B](B)
	[8] -1	0x00001020 - 0x0000103f (0x20) IX[B]
	[9] -1	0x00001058 - 0x0000105f (0x8) IX[B]
	[10] -1	0x00001000 - 0x0000101f (0x20) IX[B]
	[11] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[12] -1	0x00001050 - 0x00001053 (0x4) IX[B]
(II) Inactive PCI resource ranges:
	[0] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[1] -1	0xee000000 - 0xefffffff (0x2000000) MX[B](B)
	[2] -1	0x00001400 - 0x000014ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xec000000 - 0xec0fffff (0x100000) MX[B]
	[1] -1	0xec102000 - 0xec102fff (0x1000) MX[B]
	[2] -1	0x000dc000 - 0x000dcfff (0x1000) MX[B]
	[3] -1	0xec101000 - 0xec101fff (0x1000) MX[B]
	[4] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[5] -1	0xfc000000 - 0xfc07ffff (0x80000) MX[B](B)
	[6] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[7] -1	0xf0000000 - 0xf0ffffff (0x1000000) MX[B](B)
	[8] -1	0x00001020 - 0x0000103f (0x20) IX[B]
	[9] -1	0x00001058 - 0x0000105f (0x8) IX[B]
	[10] -1	0x00001000 - 0x0000101f (0x20) IX[B]
	[11] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[12] -1	0x00001050 - 0x00001053 (0x4) IX[B]
(II) Inactive PCI resource ranges after removing overlaps:
	[0] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[1] -1	0xee000000 - 0xefffffff (0x2000000) MX[B](B)
	[2] -1	0x00001400 - 0x000014ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000dbfff (0x1c000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000dbfff (0x1c000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xec000000 - 0xec0fffff (0x100000) MX[B]
	[6] -1	0xec102000 - 0xec102fff (0x1000) MX[B]
	[7] -1	0x000dc000 - 0x000dcfff (0x1000) MX[B]
	[8] -1	0xec101000 - 0xec101fff (0x1000) MX[B]
	[9] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[10] -1	0xfc000000 - 0xfc07ffff (0x80000) MX[B](B)
	[11] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[12] -1	0xf0000000 - 0xf0ffffff (0x1000000) MX[B](B)
	[13] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[14] -1	0xee000000 - 0xefffffff (0x2000000)MX[B](B)
	[15] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0x00001020 - 0x0000103f (0x20) IX[B]
	[18] -1	0x00001058 - 0x0000105f (0x8) IX[B]
	[19] -1	0x00001000 - 0x0000101f (0x20) IX[B]
	[20] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[21] -1	0x00001050 - 0x00001053 (0x4) IX[B]
	[22] -1	0x00001400 - 0x000014ff (0x100) IX[B](B)
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "pex5"
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension X3D-PEX
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "pex5"
(II) Reloading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Loading extension X3D-PEX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "xie"
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XIE
(II) LoadModule: "nv"
(II) Loading /usr/X11R6/lib/modules/drivers/nv_drv.o
(II) Module nv: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.1
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "tdfx"
(II) Loading /usr/X11R6/lib/modules/drivers/tdfx_drv.o
(II) Module tdfx: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.1
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.2
(II) NV: driver for NVIDIA chipsets: RIVA128, RIVATNT, RIVATNT2,
	RIVATNT2 (A), RIVATNT2 (B), RIVATNT2 (Ultra), RIVATNT2 (Vanta),
	RIVATNT2 M64, RIVATNT2 (Integrated), GeForce 256, GeForce DDR,
	Quadro, GeForce2 GTS, GeForce2 GTS (rev 1), GeForce2 ultra,
	Quadro 2 Pro, GeForce2 MX, GeForce2 MX DDR, Quadro 2 MXR,
	GeForce 2 Go, GeForce3, GeForce3 (rev 1), GeForce3 (rev 2),
	GeForce3 (rev 3)
(II) TDFX: Driver for 3dfx Banshee/Voodoo3 chipsets: 3dfx Banshee,
	3dfx Voodoo3, 3dfx Voodoo5
(II) Primary Device is: PCI 01:05:0
(--) Chipset GeForce3 (rev 1) found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000dbfff (0x1c000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xec000000 - 0xec0fffff (0x100000) MX[B]
	[6] -1	0xec102000 - 0xec102fff (0x1000) MX[B]
	[7] -1	0x000dc000 - 0x000dcfff (0x1000) MX[B]
	[8] -1	0xec101000 - 0xec101fff (0x1000) MX[B]
	[9] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[10] -1	0xfc000000 - 0xfc07ffff (0x80000) MX[B](B)
	[11] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[12] -1	0xf0000000 - 0xf0ffffff (0x1000000) MX[B](B)
	[13] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[14] -1	0xee000000 - 0xefffffff (0x2000000) MX[B](B)
	[15] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0x00001020 - 0x0000103f (0x20) IX[B]
	[18] -1	0x00001058 - 0x0000105f (0x8) IX[B]
	[19] -1	0x00001000 - 0x0000101f (0x20) IX[B]
	[20] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[21] -1	0x00001050 - 0x00001053 (0x4) IX[B]
	[22] -1	0x00001400 - 0x000014ff (0x100) IX[B](B)
(--) Chipset 3dfx Voodoo3 found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000dbfff (0x1c000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xec000000 - 0xec0fffff (0x100000) MX[B]
	[6] -1	0xec102000 - 0xec102fff (0x1000) MX[B]
	[7] -1	0x000dc000 - 0x000dcfff (0x1000) MX[B]
	[8] -1	0xec101000 - 0xec101fff (0x1000) MX[B]
	[9] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[10] -1	0xfc000000 - 0xfc07ffff (0x80000) MX[B](B)
	[11] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[12] -1	0xf0000000 - 0xf0ffffff (0x1000000) MX[B](B)
	[13] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[14] -1	0xee000000 - 0xefffffff (0x2000000) MX[B](B)
	[15] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0x00001020 - 0x0000103f (0x20) IX[B]
	[18] -1	0x00001058 - 0x0000105f (0x8) IX[B]
	[19] -1	0x00001000 - 0x0000101f (0x20) IX[B]
	[20] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[21] -1	0x00001050 - 0x00001053 (0x4) IX[B]
	[22] -1	0x00001400 - 0x000014ff (0x100) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000dbfff (0x1c000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xec000000 - 0xec0fffff (0x100000) MX[B]
	[6] -1	0xec102000 - 0xec102fff (0x1000) MX[B]
	[7] -1	0x000dc000 - 0x000dcfff (0x1000) MX[B]
	[8] -1	0xec101000 - 0xec101fff (0x1000) MX[B]
	[9] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[10] -1	0xfc000000 - 0xfc07ffff (0x80000) MX[B](B)
	[11] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[12] -1	0xf0000000 - 0xf0ffffff (0x1000000) MX[B](B)
	[13] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[14] -1	0xee000000 - 0xefffffff (0x2000000) MX[B](B)
	[15] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[16] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[17] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[18] 1	0x000a0000 - 0x000affff (0x10000) MS[B]
	[19] 1	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[20] 1	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[21] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[22] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[23] -1	0x00001020 - 0x0000103f (0x20) IX[B]
	[24] -1	0x00001058 - 0x0000105f (0x8) IX[B]
	[25] -1	0x00001000 - 0x0000101f (0x20) IX[B]
	[26] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[27] -1	0x00001050 - 0x00001053 (0x4) IX[B]
	[28] -1	0x00001400 - 0x000014ff (0x100) IX[B](B)
	[29] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[30] 0	0x000003c0 - 0x000003df (0x20) IS[B]
	[31] 1	0x000003b0 - 0x000003bb (0xc) IS[B]
	[32] 1	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Setting vga for screen 1.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) NV(0): Initializing int10
(II) NV(0): Primary V_BIOS segment is: 0xc000
(--) NV(0): Chipset: "GeForce3 (rev 1)"
(**) NV(0): Depth 16, (--) framebuffer bpp 16
(==) NV(0): RGB weight 565
(==) NV(0): Default visual is TrueColor
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(==) NV(0): Using HW cursor
(--) NV(0): Linear framebuffer at 0xF8000000
(--) NV(0): MMIO registers at 0xF0000000
(--) NV(0): VideoRAM: 65536 kBytes
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.2.0
	ABI class: XFree86 Video Driver, version 0.4
(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): I2C device "DDC:ddc2" registered.
(II) NV(0): I2C device "DDC:ddc2" removed.
(II) NV(0): I2C device "DDC:ddc2" registered.
(II) NV(0): I2C device "DDC:ddc2" removed.
(II) NV(0): DDC Monitor info: 0x8636da0
(II) NV(0): Manufacturer: NOK  Model: 146  Serial#: 1323
(II) NV(0): Year: 1999  Week: 41
(II) NV(0): EDID Version: 1.2
(II) NV(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) NV(0): Sync:  Separate  Composite
(II) NV(0): Max H-Image Size [cm]: horiz.: 36  vert.: 27
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): GTF timings supported
(II) NV(0): redX: 0.625 redY: 0.340   greenX: 0.280 greenY: 0.600
(II) NV(0): blueX: 0.155 blueY: 0.070   whiteX: 0.283 whiteY: 0.297
(II) NV(0): Supported VESA Video Modes:
(II) NV(0): 720x400@70Hz
(II) NV(0): 640x480@60Hz
(II) NV(0): 640x480@75Hz
(II) NV(0): 800x600@60Hz
(II) NV(0): 800x600@75Hz
(II) NV(0): 1024x768@60Hz
(II) NV(0): 1024x768@75Hz
(II) NV(0): 1280x1024@75Hz
(II) NV(0): 1152x870@75Hz
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported Future Video Modes:
(II) NV(0): #0: hsize: 1600  vsize 1200  refresh: 85  vid: 22953
(II) NV(0): #1: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) NV(0): #2: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
(II) NV(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): #4: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) NV(0): #5: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) NV(0): #6: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) NV(0): #7: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) NV(0): Supported additional Video Mode:
(II) NV(0): clock: 157.5 MHz   Image Size:  354 x 265 mm
(II) NV(0): h_active: 1280  h_sync: 1344  h_sync_end 1504 h_blank_end 1728
h_border: 0
(II) NV(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1072
v_border: 0
(II) NV(0): Ranges: V min: 50  V max: 150 Hz, H min: 30  H max: 107 kHz,
PixClock max 240 MHz
(II) NV(0): Serial No: A941001323
(II) NV(0): Monitor name: NOKIA 446PRO
(II) NV(0): end of DDC Monitor info

(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): Monitor0: Using hsync range of 30.00-107.00 kHz
(II) NV(0): Monitor0: Using vrefresh range of 50.00-150.00 Hz
(II) NV(0): Clock range:  12.00 to 350.00 MHz
(II) NV(0): Not using default mode "1856x1392" (hsync out of range)
(II) NV(0): Not using default mode "1920x1440" (hsync out of range)
(--) NV(0): Virtual size is 1600x1200 (pitch 1600)
(**) NV(0): Default mode "1600x1200": 229.5 MHz, 106.2 kHz, 85.0 Hz
(II) NV(0): Modeline "1600x1200"  229.50  1600 1664 1856 2160  1200 1201 1204
1250 +hsync +vsync
(++) NV(0): DPI set to (112, 112)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Reloading /usr/X11R6/lib/modules/libvgahw.a
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(1): Softbooting the board (through the int10 interface).
(EE) TDFX(1): Cannot read V_BIOS
(WW) TDFX(1): Softbooting the board failed.
(**) TDFX(1): Depth 16, (--) framebuffer bpp 16
(==) TDFX(1): RGB weight 565
(==) TDFX(1): Default visual is TrueColor
(--) TDFX(1): Chipset: "3dfx Voodoo3"
(--) TDFX(1): Linear framebuffer at 0xF2000000
(--) TDFX(1): MMIO registers at addr 0xEE000000
(--) TDFX(1): PIO registers at addr 0x1400
(II) TDFX(1): DRAMINIT1 read0x40202031, programming 0x40202031 (not Banshee)
(--) TDFX(1): VideoRAM: 16384 kByte Mapping 32768 kByte
(==) TDFX(1): Using gamma correction (1.0, 1.0, 1.0)
(II) TDFX(1): ViewSonic 17: Using hsync range of 30.00-82.00 kHz
(II) TDFX(1): ViewSonic 17: Using vrefresh range of 50.00-160.00 Hz
(II) TDFX(1): Clock range:  12.00 to 300.00 MHz
(II) TDFX(1): Not using default mode "1024x768" (bad mode
clock/interlace/doublescan)
(II) TDFX(1): Not using default mode "1280x960" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1280x960" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1280x1024" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1280x1024" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1280x1024" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1600x1200" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1792x1344" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1792x1344" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1856x1392" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1856x1392" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1920x1440" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1920x1440" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1400x1050" (width too large for virtual size)
(II) TDFX(1): Not using default mode "1400x1050" (width too large for virtual size)
(II) TDFX(1): Not using mode "1152x864" (no mode of this name)
(II) TDFX(1): Not using mode "1280x1024" (no mode of this name)
(**) TDFX(1): Virtual size is 1152x864 (pitch 1152)
(**) TDFX(1): Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(II) TDFX(1): Modeline "1152x864"  108.00  1152 1216 1344 1600  864 865 868 900
+hsync +vsync
(**) TDFX(1): Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) TDFX(1): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509
-hsync -vsync
(**) TDFX(1): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) TDFX(1): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631
+hsync +vsync
(**) TDFX(1): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) TDFX(1): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 808
+hsync +vsync
(++) TDFX(1): DPI set to (112, 112)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Reloading /usr/X11R6/lib/modules/libfb.a
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Reloading /usr/X11R6/lib/modules/libxaa.a
(**) TDFX(1): ShowCache Disabled
(**) TDFX(1): video key default 0x1e
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Reloading /usr/X11R6/lib/modules/libramdac.a
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(1): initializing int10
(EE) TDFX(1): Cannot read V_BIOS
(II) do I need RAC?  Yes, I do.
(II) LoadModule: "rac"
(II) Loading /usr/X11R6/lib/modules/librac.a
(II) Module rac: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) resource ranges after preInit:
	[0] 1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B]
	[1] 1	0xee000000 - 0xefffffff (0x2000000) MX[B]
	[2] 0	0xfc000000 - 0xfc07ffff (0x80000) MX[B]
	[3] 0	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[4] 0	0xf0000000 - 0xf0ffffff (0x1000000) MX[B]
	[5] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[6] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[7] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[8] -1	0x000c0000 - 0x000dbfff (0x1c000) MX[B]
	[9] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[10] -1	0xec000000 - 0xec0fffff (0x100000) MX[B]
	[11] -1	0xec102000 - 0xec102fff (0x1000) MX[B]
	[12] -1	0x000dc000 - 0x000dcfff (0x1000) MX[B]
	[13] -1	0xec101000 - 0xec101fff (0x1000) MX[B]
	[14] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[15] -1	0xfc000000 - 0xfc07ffff (0x80000) MX[B](B)
	[16] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[17] -1	0xf0000000 - 0xf0ffffff (0x1000000) MX[B](B)
	[18] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[19] -1	0xee000000 - 0xefffffff (0x2000000) MX[B](B)
	[20] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[21] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[22] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[23] 1	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[24] 1	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[25] 1	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[26] 1	0x00001400 - 0x000014ff (0x100) IX[B]
	[27] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[28] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[29] -1	0x00001020 - 0x0000103f (0x20) IX[B]
	[30] -1	0x00001058 - 0x0000105f (0x8) IX[B]
	[31] -1	0x00001000 - 0x0000101f (0x20) IX[B]
	[32] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[33] -1	0x00001050 - 0x00001053 (0x4) IX[B]
	[34] -1	0x00001400 - 0x000014ff (0x100) IX[B](B)
	[35] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[36] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
	[37] 1	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[38] 1	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) NV(0): Write-combining range (0xf8000000,0x4000000)
(II) NV(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(==) NV(0): Backing store disabled
(==) NV(0): Silken mouse enabled
(**) Option "dpms"
(**) NV(0): DPMS enabled
(==) TDFX(1): Write-combining range (0xf2000000,0x2000000)
(II) TDFX(1): Changing back offset from 0x00c33000 to 0x00c32000
(II) TDFX(1): Textures Memory 9.38 MB
(II) TDFX(1): Cursor Offset: [0x00000000,0x00001000)
(II) TDFX(1): Fifo Offset: [0x00001000, 0x00041000)
(II) TDFX(1): Front Buffer Offset: [0x00041000, 0x002CFC00)
(II) TDFX(1): Texture Offset: [0x002CFC00, 0x00C32000)
(II) TDFX(1): BackOffset: [0x00C32000, 0x00E18000)
(II) TDFX(1): DepthOffset: [0x00E19000, 0x00FFF000)
(II) TDFX(1): 1183 lines of offscreen memory available for 2D and video
(WW) TDFX(1): Direct rendering is not supported when Xinerama is enabled
(EE) TDFX(1): [dri] DRIScreenInit failed, disabling DRI.
(II) TDFX(1): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Dashed Lines
	Offscreen Pixmaps
	Driver provided NonTEGlyphRenderer replacement
	Setting up tile and stipple cache:
		32 128x128 slots
		12 256x256 slots
(==) TDFX(1): Backing store disabled
(==) TDFX(1): Silken mouse enabled
(**) Option "dpms"
(**) TDFX(1): DPMS enabled
(==) TDFX(1): Direct rendering disabled
(II) Entity 0 shares no resources
(II) Entity 1 shares no resources
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/psaux"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Screen 0 shares mem & io resources
(II) Screen 1 shares mem & io resources
	

Actual Results:  My screen on the AGP card works but the PCI card does not.

Expected Results:  Both screens should work.

Additional info:

Tyan Tiger MP S2460 motherboard, BIOS 1.03.  MSI BIOS version 1.00 on the
Geforce.  3dfx BIOS version 1.00.01-SD on the Voodoo.  All the latest versions
AFAIK.

Here's my XF86Config-4:


# File generated by anaconda.

Section "ServerLayout"
        Identifier     "Anaconda Configured"
        Screen      0  "Screen0" 0 0
	Screen         "Screen1" RightOf "Screen0"
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
	Option         "Xinerama"
EndSection

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

EndSection

Section "Module"
        Load  "GLcore"
        Load  "dbe"
        Load  "extmod"
	Load "fbdevhw"
	Load "pex5"
	Load "dri"
        Load  "glx"
        Load  "pex5"
        Load  "record"
        Load  "xie"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"

#
Option
"AutoRepeat"
"500 5"

# when using XQUEUE, comment out the above line, and uncomment the
# following line
#
Option
"Protocol"
"Xqueue"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#
Option
"Xleds"
	"1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#
Option
"XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#
Option
"XkbModel"
"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#
Option
"XkbModel"
"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#
Option
"XkbLayout"
"de"
# or:
#
Option
"XkbLayout"
"de"
#
Option
"XkbVariant"
"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#
Option
"XkbOptions"
"ctrl:nocaps"
	Option	"XkbRules"	"xfree86"
	Option	"XkbModel"	"pc101"
	Option	"XkbLayout"	"us"
	Option	"XkbVariant"	"basic"
	#Option	"XkbOptions"	""
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/psaux"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Monitor Model"
        HorizSync   30.0-107.0
        VertRefresh 50.0-150.0
        Option "dpms"

        # -- 1400x1050 --
        # 1400x1050 @ 60Hz, 65.8 kHz hsync
        Modeline "1400x1050"  129   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 70Hz, 76.8 kHz hsync
        Modeline "1400x1050"  151   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 75Hz, 82.3 kHz hsync
        Modeline "1400x1050"  162   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 85Hz, 93.2 kHz hsync
        Modeline "1400x1050"  184   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

EndSection

Section "Monitor"
	Identifier "ViewSonic 17"
	VendorName "Unknown"
	ModelName  "Unknown"
	HorizSync 30 - 82
	VertRefresh 50 - 160
	Option     "dpms"
EndSection

Section "Device"
	# no known options
	Identifier   "NVIDIA GeForce 3 (generic)"
        Driver       "nv"
        VendorName   "NVIDIA GeForce 3 (generic)"
        BoardName     "NVIDIA GeForce 3 (generic)"
	BusID	"PCI:1:5:0"        
        #BusID
EndSection

Section "Device"
	Identifier "3Dfx Interactive, Inc.|Voodoo 3"
	Driver "tdfx"
	BoardName "Unknown"
	BusID	"PCI:0:11:0"
#
Option "NoINT10"
EndSection


Section "Screen"
	Identifier   "Screen0"
        Device       "NVIDIA GeForce 3 (generic)"
        Monitor      "Monitor0"
	DefaultDepth	16

	Subsection "Display"
        	Depth       16
                Modes       "1600x1200" 
	EndSubsection

EndSection

Section "Screen"
	Identifier "Screen1"
	Device "3Dfx Interactive, Inc.|Voodoo 3"
	Monitor "ViewSonic 17"
	DefaultDepth 16
	Subsection "Display"
		Depth 32
		Modes "640x480" "800x600" "1024x768" "1152x864" "1280x1024" "1600x1200"
	EndSubSection
	Subsection "Display"
		Depth 24
		Modes "640x480" "800x600" "1024x768" "1152x864" "1280x1024" "1600x1200"
	EndSubSection
	Subsection "Display"
		Depth 16
		Virtual 1152 864
		Modes "1152x864" "640x480" "800x600" "1024x768" "1152x864" "1280x1024"
	EndSubSection
	Subsection "Display"
		Depth 8
		Modes "640x480" "800x600" "1024x768" "1152x864" "1280x1024"
	EndSubSection
EndSection


Section "DRI"
	Mode 0666
EndSection
Comment 1 Mike A. Harris 2002-01-31 11:19:57 EST
THis is a known limitation in the XFree86 3dfx driver.
Comment 3 Mike A. Harris 2005-04-20 08:13:37 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.